<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/polymer/iron-input/iron-input.html">
<dom-module id="persona-contacto">
    <template>
        <style>
            :host {
                display: block
            }
        
            @import url(https://fonts.googleapis.com/css?family=Roboto:400,300,600,400italic);
            * {
                margin: 0;
                padding: 0;
                box-sizing: border-box;
                -webkit-box-sizing: border-box;
                -moz-box-sizing: border-box;
                -webkit-font-smoothing: antialiased;
                -moz-font-smoothing: antialiased;
                -o-font-smoothing: antialiased;
                text-rendering: optimizeLegibility;
            }
        
            body {
                font-family: "Roboto", Helvetica, Arial, sans-serif;
                font-weight: 100;
                font-size: 12px;
                line-height: 30px;
                color: #777;
                background: #4CAF50;
            }
        
            .container {
                max-width: 400px;
                width: 100%;
                margin: 0 auto;
                position: relative;
            }
        
           
        
            #contact {
                background: #F9F9F9;
                padding: 25px;
                margin: 150px 0;
                box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
            }
        

           
            #contact button[type="submit"] {
                cursor: pointer;
                width: 100%;
                border: none;
                background: #4CAF50;
                color: #FFF;
                margin: 0 0 5px;
                padding: 10px;
                font-size: 15px;
            }
        
            #contact button[type="submit"]:hover {
                background: #43A047;
                -webkit-transition: background 0.3s ease-in-out;
                -moz-transition: background 0.3s ease-in-out;
                transition: background-color 0.3s ease-in-out;
            }
        
            #contact button[type="submit"]:active {
                box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5);
            }
        
        
        
            #contact input:focus,
            #contact textarea:focus {
                outline: 0;
                border: 1px solid #aaa;
            }
        
            ::-webkit-input-placeholder {
                color: #888;
            }
        
            :-moz-placeholder {
                color: #888;
            }
        
            ::-moz-placeholder {
                color: #888;
            }
        
            :-ms-input-placeholder {
                color: #888;
            }
        </style>


        <div class="container">  
            <form id="contact" action="" method="">
                <h3>Contacto </h3>
                
                    <paper-input label="Nombre" value="{{nombre}}"></paper-input>
                    <paper-input label="Apellidos" value=""></paper-input>
                    <paper-input label="Dirección" value=""></paper-input>
                    <paper-input label="Telefono" value=""></paper-input>
                    <paper-input label="Fecha Nacimiento" value=""></paper-input>
                    <paper-input label="Email" value="">
                            <iron-icon icon="mail" slot="prefix"></iron-icon>
                            <div slot="suffix">@email.com</div>
                    </paper-input>

                <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Submit</button>
            </form>
        </div>

       

    </template>
    <script>
        class PersonaContacto extends Polymer.Element {
            static get is() {
                return 'persona-contacto';
            }
            static get properties() {
                return {
                    nombre: {
                        type: String,
                        value: ''
                    },
                    apellidos: {
                        type: String,
                        value: ''
                    },
                    direccion: {
                        type: Object,
                        value: function () {
                            return {
                                via: '',
                                numero: '',
                                codigoPostal: '',
                                ciudad: ''
                            };
                        }
                    },
                    telefonos: {
                        type: Array,
                        value: function () {
                            return [];
                        }
                    },
                    FechaNacimiento: Date,
                    email: {
                        type: String,
                        value: ''
                    },
                    identificadorGrupo: {
                        type: Number,
                        value: 0
                    },
                    activo: {
                        type: Boolean,
                        value: true
                    }
                };
            }
            constructor() {
                super();
            }
        }
        window.customElements.define(PersonaContacto.is, PersonaContacto);
    </script>
</dom-module>